Create Sweep Order

Creates a new sweep order for the provided quoteAsset. Sweep orders automatically match against opposite-side ads in the order book using the spread-capture matching engine. The order is queued via SQS and matched asynchronously. Price is required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Quote asset for the order pair.

Body Params

Create sweep order payload. Unit fields take precedence when both decimal and unit fields are supplied.

Request payload for creating a sweep order. Sweep orders match against the opposite side of the order book automatically. Decimal and unit fields are both supported. If both are sent for the same value, the *InUnits value takes precedence. Send at least one of price or priceInUnits, and at least one of qtyTotal or qtyTotalInUnits.

string
required

Base asset being advertised.

string
enum
required

Trade side for the order.

Allowed:
string

Quote asset. Optional when already provided in path.

Human-readable price. Required (provide either price or priceInUnits).

string

Price in smallest units (bigint string). Must be greater than zero.

Human-readable total quantity.

string

Total quantity in smallest units (bigint string). Must be greater than zero.

Human-readable minimum quantity allowed per order.

string

Minimum quantity per order in smallest units (bigint string).

Human-readable maximum quantity allowed per order.

string

Maximum quantity per order in smallest units (bigint string).

boolean
Defaults to true

Whether to send email notifications on fills. Defaults to true.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json